Skip to main content
POST
/
api
/
v2
/
ethereum
/
validators
/
mev-timing-aggregate
MEV Timing Aggregate
curl --request POST \
  --url https://beaconcha.in/api/v2/ethereum/validators/mev-timing-aggregate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "validator": {
    "validator_identifiers": [
      5,
      6
    ]
  },
  "evaluation_window": "180d",
  "chain": "mainnet"
}
'
import requests

url = "https://beaconcha.in/api/v2/ethereum/validators/mev-timing-aggregate"

payload = {
"validator": { "validator_identifiers": [5, 6] },
"evaluation_window": "180d",
"chain": "mainnet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
validator: {validator_identifiers: [5, 6]},
evaluation_window: '180d',
chain: 'mainnet'
})
};

fetch('https://beaconcha.in/api/v2/ethereum/validators/mev-timing-aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "timing_label": {
      "status": "timing_games",
      "median_slot_offset_ms": 123,
      "total_count": 1
    },
    "histogram": [
      {
        "slot_offset_ms_min": 123,
        "slot_offset_ms_max": 123,
        "count": 1,
        "max_value": "<string>"
      }
    ],
    "evaluation_window": "180d"
  }
}
{
"error": "Bad request. Please check your input and try again."
}
{
"error": "Unauthorized. Please provide a valid API key."
}
{
"error": "endpoint not allowed for your subscription tier. upgrade your subscription at https://beaconcha.in/pricing."
}
{
"error": "The requested resource was not found."
}
{
"error": "method not allowed: GET. all public API endpoints use POST."
}
{
"error": "Rate limit exceeded. Please try again later."
}
{
"error": "internal server error. please try again later."
}
{
"error": "An unexpected error occurred."
}

Authorizations

Authorization
string
header
required

Authorization header with value: Bearer YOUR_TOKEN. Refer to the API Keys section to create your API key.

Body

application/json
validator
Indices/Pubkeys · object
required

Free selectors available to all users:

  • validator_identifiers: One or more validator indices or public keys to filter by.
  • dashboard_id: Your beaconcha.in dashboard ID (requires a free account).

Premium selectors for Scale & Enterprise plans (https://beaconcha.in/pricing):

  • withdrawal: The validator's withdrawal credential or the Ethereum wallet address used for withdrawals.
  • deposit_address: The Ethereum wallet address used for the validator's deposit.
  • entity: The name of the assigned entity (e.g., "Lido", "Coinbase"). Optionally include sub_entity for more specific filtering. Matching is case-sensitive.

Note: The set of validators matched by deposit_address and withdrawal selectors is updated once per epoch (~6.4 minutes). Newly deposited validators may take up to one epoch to appear in query results.

Note: The set of validators matched by entity selector is updated once per day.

chain
enum<string>
default:mainnet

The Ethereum chain to query.

Available options:
mainnet,
hoodi
evaluation_window
enum<string>
default:180d

The evaluation window for aggregating validator MEV timing metrics. Currently only 180d (a rolling 180-day window) is available.

  • 180d: Rolling 180-day window.
Available options:
180d
Example:

"180d"

Response

Successful response.

Response containing the aggregated MEV timing posture of the selected validators.

data
object
required

Aggregated MEV timing posture for the selected validator set over the evaluation window.